Sandbox templates

Get a sandbox template

GET
/sandbox-templates/{name}

Authorization

ApiKeyAuth
AGENTBOX-API-KEY<token>

In: header

Path Parameters

name*string

Global SandboxTemplate name (cluster-scoped resource).

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://sandbox-templates/default-template"
{  "template": {    "name": "string",    "version": "string",    "description": "string",    "createdAt": "2019-08-24T14:15:22Z",    "cpu": "string",    "memory": "string",    "syncSource": "string",    "docs": "string",    "crdYaml": "string"  }}
{  "error": "string",  "errorCode": "API_KEY_REQUIRED",  "detail": null}
{  "error": "string",  "errorCode": "API_KEY_REQUIRED",  "detail": null}
{  "error": "string",  "errorCode": "API_KEY_REQUIRED",  "detail": null}